%define module_version 1.1.0
%define module_name Slurm-Sacctmgr
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Accessor.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(POSIX.pm) perl(Test/More.pm) perl(base.pm) perl(strict.pm) perl(version.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.1.0
Release: alt1
Summary: Perl wrapper to sacctmgr command
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PA/PAYERLE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
These provide wrappers to the Slurm sacctmgr command.   Basically, it
allows access to the Slurm sacctmgr command from within Perl.   Forks and
pipes are used so no new shell is spawned (and shell expansion is not handled)
for increased safety.   Although there might be advantages to using Slurmdb and 
accessing the database directly,  this wrapper approach has some advantages as well, one
of which is that provides greater correlation with existing manual procedures using
these commands, thereby easing the automation of existing processes.

The interface to this package is object orientated, mainly to reduce namespace pollution.
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/S*

%changelog
* Thu Jun 16 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1
- regenerated from template by package builder

* Wed Mar 23 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1
- initial import by package builder

